<?php
use Carbon_Fields\Container;
use Carbon_Fields\Field;
/**
 * Functions and definitions
 */

add_theme_support( 'post-thumbnails' );

/* Enqueue Base/Parent Theme Styles. Shouldn't need to change much from site to site. */

function pannos_parent_styles() {

    wp_enqueue_style(
        'splide-core',
        get_template_directory_uri(). '/css/vendor/splide-core.min.css',
        array(),
        wp_get_theme()->get( 'Version' )
    );
    
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );

    wp_enqueue_script('source-js-jquery', get_template_directory_uri() . "/js/vendor/jquery-3.1.1.min.js", array(), wp_get_theme()->get( 'Version' ), 'true' );
    wp_enqueue_script('new-js-splide', get_template_directory_uri() . '/js/vendor/splide.min.js', array(), wp_get_theme()->get( 'Version' ), 'true' );
    // wp_enqueue_script('userway-widget', 'https://cdn.userway.org/widget.js', array(), wp_get_theme()->get( 'Version' ), 'true' );

}
add_action( 'wp_enqueue_scripts', 'pannos_parent_styles' );

/* Enqueue bank website styles. Copy the files into the js and css folders in this theme. Update links and filenames below as needed. */

function bank_styles() {

    /* Typekit Font Embed. Uncomment the lines and update the URL if the site uses this. */

    // wp_enqueue_style(
    //     'source-fonts',
    //     'https://use.typekit.net/ppo8rza.css', 
    //     array(),
    //     wp_get_theme()->get( 'Version' )
    // );

    wp_enqueue_style(
        'bank-style',
        get_stylesheet_uri(), /* This is the automatically the style.css in the root folder, so don't change it. */
        array(),
        wp_get_theme()->get( 'Version' )
    );

    wp_enqueue_style(
        'source-main', /* If you duplicate this, make sure this name is different for each file. */
        get_stylesheet_directory_uri(). '/css/main.css', /* This should be the bank website's minified style file. Repeat as needed. */
        array(),
        wp_get_theme()->get( 'Version' )
    );

    wp_enqueue_script(
        'source-js-main', /* If you duplicate this, make sure this name is different for each file. */
        get_stylesheet_directory_uri() . '/js/scripts.js', /* This should be the bank website's minified style file. Repeat as needed. */
        array(), wp_get_theme()->get( 'Version' ), 
        'true' 
    );
    wp_enqueue_script('source-modernizer', get_stylesheet_directory_uri() . '/js/vendor/bankofzachary.com_js_vendor_modernizr-2.8.3.min.js', array(), wp_get_theme()->get( 'Version' ), 'true' );

}
add_action( 'wp_enqueue_scripts', 'bank_styles' );


/* ADA Widget and Chat Widget */
add_action('wp_head', 'widget_codes_head');
function widget_codes_head(){

    /* Hard-coded scripts can go here, or you can add them in-CMS under Pannos Theme Options. */

?>


<?php
};

add_action('wp_footer', 'widget_codes_footer');
function widget_codes_footer(){

    /* Hard-coded scripts can go here, or you can add them in-CMS under Pannos Theme Options. */

?>


<?php
};

require_once('custom-blocks/custom-blocks.php');
require_once('custom-blocks/custom-blocks-ah.php');
require_once('custom-blocks/custom-blocks-lp.php');

require_once('custom-post-types/custom-post-types.php');