<?php 
    if(is_404()){
        if( strpos( $_SERVER['REQUEST_URI'], 'link_' ) !== false) {
            $old_page_id = str_replace(array('/','link_','::'),'',$_SERVER['REQUEST_URI']);
            if(is_numeric($old_page_id)){
                $args = array(
                    'post_type' => array('page','links'),
                    'tax_query' => array(
                        array (
                            'taxonomy' => 'links_old_site_id',
                            'field' => 'slug',
                            'terms' => $old_page_id,
                        )
                    ),
                );

                $the_query = new WP_Query( $args );

                while ( $the_query->have_posts() ) :
                    $the_query->the_post();
                    wp_redirect( get_the_permalink() );
                    exit;

                endwhile;

                // echo 'old page ID is '.$old_page_id.'<br>';
                // echo '<pre>'.print_r($args,true).'<pre>';
                // echo '<pre>'.print_r($the_query,true).'<pre>';
                
                wp_redirect( '/page-not-found/?st=link_'.$old_page_id );
                exit;

            }
        } else {

        	/* 404 page content or redirect can go here */
        	
            $old_page_link = basename(parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH)); // basename(trim($_SERVER["REQUEST_URI"],"/"));
            wp_redirect( '/page-not-found/?st='.$old_page_link );
            exit;
        }
    }
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=1.0">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<?php 
wp_head(); 
$post_name = 'generic';
if(!empty($post->post_name)) $post_name = $post->post_name;

?>
</head>
<body id="<?php echo $post_name; ?>" <?php body_class('pg-'.$post_name); ?>>
<?php
/* Update this with any conditional or alternate header parts as needed */
get_template_part('template-parts/header'); ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

<?php the_content(); ?>
<?php wp_link_pages(); ?>
<?php edit_post_link(); ?>

<?php endwhile; ?>

<?php
if ( get_next_posts_link() ) {
next_posts_link();
}
?>
<?php
if ( get_previous_posts_link() ) {
previous_posts_link();
}
?>

<?php else: 

/* 404 page content or redirect can go here */

    $old_page_link = basename(parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH)); // basename(trim($_SERVER["REQUEST_URI"],"/"));
    wp_redirect( '/page-not-found/?st='.$old_page_link );
    exit;

?>

<?php endif; ?>

<?php 
/* Update this with any conditional or alternate footer parts as needed */
get_template_part('template-parts/footer'); ?>
<?php wp_footer(); ?>

</body>
</html>